Rietveld Code Review Tool
Help | Bug tracker | Discussion group | Source code | Sign in
(7352)

Issue 9697044: Removed checks for zero-length arrays because you can never define such arrays. (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
10 years, 9 months ago by Alok Priyadarshi
Modified:
10 years, 9 months ago
Reviewers:
zmo, kbr1, Zhenyao Mo, shannon.woods, Shannon Woods
CC:
angleproject-review_googlegroups.com
Base URL:
https://angleproject.googlecode.com/svn/trunk
Visibility:
Public.

Description

Removed checks for zero-length arrays because you can never define such arrays. Also removed support for max-array-size. You can only define a fixed-size array. TEST=WebGL conformance tests Committed: https://code.google.com/p/angleproject/source/detail?r=2247

Patch Set 1 #

Unified diffs Side-by-side diffs Delta from patch set Stats (+452 lines, -403 lines) Patch
M src/compiler/ParseHelper.h View 1 chunk +0 lines, -1 line 0 comments Download
M src/compiler/ParseHelper.cpp View 2 chunks +0 lines, -54 lines 0 comments Download
M src/compiler/SymbolTable.h View 2 chunks +1 line, -4 lines 0 comments Download
M src/compiler/SymbolTable.cpp View 2 chunks +2 lines, -2 lines 0 comments Download
M src/compiler/Types.h View 3 chunks +3 lines, -9 lines 0 comments Download
M src/compiler/glslang.y View 2 chunks +1 line, -13 lines 0 comments Download
M src/compiler/glslang_tab.h View 5 chunks +26 lines, -7 lines 0 comments Download
M src/compiler/glslang_tab.cpp View 46 chunks +419 lines, -313 lines 0 comments Download

Messages

Total messages: 10
Alok Priyadarshi
10 years, 9 months ago (2013-05-23 18:39:30 UTC) #1
Alok Priyadarshi
10 years, 9 months ago (2013-05-24 15:45:14 UTC) #2
zmo
Same here, nice cleanup, but add Shannon to figure out the bison version issue. Also, ...
10 years, 9 months ago (2013-05-24 17:35:00 UTC) #3
Alok Priyadarshi
Committed patchset #1 manually as r2247 (presubmit successful).
10 years, 9 months ago (2013-05-24 18:57:17 UTC) #4
Shannon Woods
On 2013/05/24 17:35:00, zmo wrote: > Same here, nice cleanup, but add Shannon to figure ...
10 years, 9 months ago (2013-05-24 19:35:45 UTC) #5
zmo
Ah sorry, didn't pay enough attention to the wrong email. On Fri, May 24, 2013 ...
10 years, 9 months ago (2013-05-24 19:43:49 UTC) #6
kbr1
Do we have sufficient regression tests for this change? It isn't clear whether the original ...
10 years, 9 months ago (2013-05-28 22:54:08 UTC) #7
Alok Priyadarshi
These shaders in WebGL conformance tests have empty arrays: https://www.khronos.org/registry/webgl/sdk/tests/conformance/ogles/GL/build/array8_frag.frag https://www.khronos.org/registry/webgl/sdk/tests/conformance/ogles/GL/build/array10_frag.frag https://www.khronos.org/registry/webgl/sdk/tests/conformance/ogles/GL/build/array11_frag.frag All of them ...
10 years, 9 months ago (2013-05-28 23:05:28 UTC) #8
kbr1
On 2013/05/28 23:05:28, Alok Priyadarshi wrote: > These shaders in WebGL conformance tests have empty ...
10 years, 9 months ago (2013-05-28 23:06:01 UTC) #9
Alok Priyadarshi
10 years, 9 months ago (2013-05-28 23:23:02 UTC) #10
Message was sent while issue was closed.
On 2013/05/28 23:06:01, kbr1 wrote:
> On 2013/05/28 23:05:28, Alok Priyadarshi wrote:
> > These shaders in WebGL conformance tests have empty arrays:
> >
>
https://www.khronos.org/registry/webgl/sdk/tests/conformance/ogles/GL/build/a...
> >
>
https://www.khronos.org/registry/webgl/sdk/tests/conformance/ogles/GL/build/a...
> >
>
https://www.khronos.org/registry/webgl/sdk/tests/conformance/ogles/GL/build/a...
> > 
> > All of them are supposed to fail compilation but for different reasons. I
> think
> > it will be good to add a minimal test just for zero-sized array. Is there a
> > bug-tracker for WebGL conformance test?
> 
> Yes: https://github.com/KhronosGroup/WebGL/issues .

https://github.com/KhronosGroup/WebGL/issues/282
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld f62528b